#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/IP_UPDATE_CHOOSE_MODE_CUI.sh
# - script dialog for ece to choose a mode to find out the external IP
#
# Creation:     2009-01-23 christian
# Last update:  $Id$
#
# Copyright (c) 2009 Christian Richter, richterch(at)gmx(dot)de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"

    sellist="fritzbox,internet,isdn,dsl"

    ece_select_list_dlg "$win" "Choose mode" "$sellist"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0